#!/bin/sh

PDEXTRA=/usr/lib/pd/extra


PDFLAGS=""
if [ -d "${PDEXTRA}/iemlib" ]; then
 PDFLAGS="${PDFLAGS} -lib ${PDEXTRA}/iemlib/iemlib1 -lib ${PDEXTRA}/iemlib/iemlib2"
fi
for i in Gem iemmatrix iem_ambi iem_tab zexy
do
 if [ -d "${PDEXTRA}/${i}" ]; then
   PDFLAGS="${PDFLAGS} -lib ${PDEXTRA}/${i}"
 fi
done
for i in net osc windowing list-abs bsaylor
do
 if [ -e "${PDEXTRA}/${i}/" ]; then
   PDFLAGS="${PDFLAGS} -path ${PDEXTRA}/${i}"
 fi
done


exec /usr/bin/pd \
        ${PDFLAGS} "$@"
